Imports System.IO
Imports System.Drawing.Drawing2D

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtDirectory.Text = Path.GetFullPath( _
            Path.Combine(Application.StartupPath, "..\.."))
        txtDirectory.Select(0, 0)
    End Sub

    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        Const WID As Integer = 24

        Dim base_path As String = txtDirectory.Text
        If Not base_path.EndsWith("\") Then base_path &= "\"
        Dim the_font As New Font("Arial", 10, FontStyle.Bold)

        For i As Integer = 0 To 9
            Dim bm As New Bitmap(WID, WID)
            Dim gr As Graphics = Graphics.FromImage(bm)
            gr.TextRenderingHint = Drawing.Text.TextRenderingHint.AntiAliasGridFit
            'gr.InterpolationMode = Drawing2D.InterpolationMode.Bicubic
            gr.SmoothingMode = Drawing2D.SmoothingMode.AntiAlias
            gr.Clear(Color.White)
            Dim layout_rectangle As New Rectangle(0, 0, WID - 1, WID - 1)
            Using br As New LinearGradientBrush(layout_rectangle, _
             Color.White, Color.Blue, LinearGradientMode.ForwardDiagonal)
                gr.FillEllipse(br, layout_rectangle)
                gr.DrawEllipse(Pens.Blue, layout_rectangle)
            End Using
            Dim string_format As New StringFormat()
            string_format.LineAlignment = StringAlignment.Center
            string_format.Alignment = StringAlignment.Center
            gr.DrawString(i.ToString, the_font, Brushes.White, _
                layout_rectangle, string_format)
            bm.Save(base_path & i.ToString & ".bmp", _
                System.Drawing.Imaging.ImageFormat.Bmp)
        Next i

        MessageBox.Show("Done")
    End Sub
End Class
